SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "ITEM_TYPE"
FROM 
	WEDGE_CS_CTRAN_OUT_RECORD as A
	Inner Join WEDGE_CS_ITEM as B on ( CHAR( B.ID ) = CHAR(A.ITEM_ID) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(B.ITEM_TYPE) and CHAR( C.SEARCH_STRING ) = 'ITEM_TYPE' )
WHERE 
	CHAR( A.CTRAN_ID ) = ?
ORDER BY 
	A.LINE
