SELECT 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME, 
	COUNT(G.ID) as "count"
FROM 
	WEDGE_CS_CTRAN as Z
	Inner Join WEDGE_CS_SERVERSUB as A on ( CHAR( A.PHYSICAL_NAME ) = CHAR(Z.SERVERSUB_PNAME) )
	Inner Join WEDGE_CS_STRAN as B on ( CHAR( B.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( B.PHYSICAL_NAME ) = CHAR(Z.STRAN_PNAME) )
	Inner Join WEDGE_CS_DECISION_TABLE as C on ( CHAR( C.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( C.SERVER_TRAN_ID ) = CHAR(B.ID) )
	Inner Join WEDGE_CS_DECISION_TYPE as D on ( CHAR( D.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( D.DECISION_TABLE_ID ) = CHAR(C.ID) )
	Inner Join WEDGE_CS_DECISION_DLCP as E on ( CHAR( E.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( E.DECISION_TYPE_ID ) = CHAR(D.ID) )
	Inner Join WEDGE_CS_DLCP as F on ( CHAR( F.SERVERSUB_ID ) = CHAR(A.ID) and CHAR( F.ID ) = CHAR(E.DC_ID) )
	Inner Join WEDGE_DAT_DLCP_H as G on ( CHAR( G.ID ) = CHAR(F.DLCP_ID) and (CHAR( G.COMM_ID ) = CHAR(258)  or CHAR( G.COMM_ID ) = CHAR(392) ))
	Inner Join WEDGE_DAT_TABLE_H as H on ( CHAR( H.ID ) = CHAR(G.TABLE_H_ID) )
	Inner Join WEDGE_DLCP as I on ( CHAR( I.ID ) = CHAR(G.COMM_ID) )
WHERE 
	CHAR( Z.FRAME_ID ) = ?
GROUP BY 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME
ORDER BY 
	H.PHYSICAL_NAME
