SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "comment"
FROM 
	WEDGE_CS_DLCP as C
	Inner Join WEDGE_CS_DLCP_IN_RECORD as A on ( CHAR( A.DLCP_ID ) = CHAR(C.ID) and CHAR( A.SERVERDATA_ID ) = ? )
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO
ORDER BY 
	C.PHYSICAL_NAME
