SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.FRAME_TYPE, 
	COUNT(A.ID) as "count"
FROM 
	WEDGE_CS_FRAME as A
	Inner Join WEDGE_CS_CTRAN as B on ( CHAR( B.FRAME_ID ) = CHAR(A.ID) )
	Inner Join WEDGE_CS_STRAN as C on ( CHAR( C.PHYSICAL_NAME ) = CHAR(B.STRAN_PNAME) and CHAR( C.SERVERSUB_ID ) = ? )
	Inner Join WEDGE_CS_SERVERSUB as D on ( CHAR( D.ID ) = CHAR(C.SERVERSUB_ID) and CHAR( D.PHYSICAL_NAME ) = CHAR(B.SERVERSUB_PNAME) )
GROUP BY 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.FRAME_TYPE
ORDER BY 
	A.PHYSICAL_NAME
