SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	A.CLASS_NAME, 
	A.SEARCH_STRING
FROM 
	WEDGE_DAT_DLCP_H as Z
	Left Outer Join WEDGE_DLCP as A on ( CHAR( A.ID ) = CHAR(Z.COMM_ID) )
	Inner Join WEDGE_DAT_DLCP_D as B on ( CHAR( B.HID ) = CHAR(Z.ID) and CHAR( B.DATA_D_ID ) = ? )
ORDER BY 
	Z.PHYSICAL_NAME
