SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	Z.LENGTH, 
	C.LOGICAL_NAME as "omit", 
	Z.SCALE, 
	Z.DEFAULT_VALUE, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	Z.ENUM, 
	Z.MINIMUM, 
	Z.MAXIMUM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	D.CLASS_NAME, 
	Z.FORMAT_PARAM, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	E.CLASS_NAME, 
	B.FORMAT_PARAM, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME, 
	F.MEMO, 
	F.CLASS_NAME, 
	B.DB_TRANSFER_PARAM, 
	G.ID, 
	G.LOGICAL_NAME, 
	G.PHYSICAL_NAME, 
	G.MEMO, 
	G.CLASS_NAME
FROM 
	WEDGE_DAT_DATA_H as Z
	Inner Join WEDGE_DAT_DATA_D as A on ( CHAR( A.HID ) = CHAR(Z.ID) and CHAR( A.ID ) = ? )
	Left Outer Join WEDGE_DATA_CLASS as B on ( CHAR( B.ID ) = CHAR(Z.TYPE) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(Z.OMIT) and CHAR( C.SEARCH_STRING ) = 'OMIT' )
	Left Outer Join WEDGE_BASE as D on ( CHAR( D.ID ) = CHAR(Z.FORMAT_CLASS) )
	Left Outer Join WEDGE_BASE as E on ( CHAR( E.ID ) = CHAR(B.FORMAT_CLASS) )
	Left Outer Join WEDGE_BASE as F on ( CHAR( F.ID ) = CHAR(B.DB_TRANSFER_CLASS) )
	Left Outer Join WEDGE_BASE as G on ( CHAR( G.ID ) = CHAR(B.CHECK_CLASS) )
ORDER BY 
	Z.PHYSICAL_NAME
