SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	count(A.ID) as "count"
FROM 
	WEDGE_BAT_SUB as Z
	Inner Join WEDGE_BAT_DLCP as A on ( CHAR( A.BATCH_SUB_ID ) = CHAR(Z.ID) and CHAR( A.DLCP_ID ) = ? )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME
ORDER BY 
	Z.PHYSICAL_NAME
