SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	count(A.ID) as "count"
FROM 
	WEDGE_CS_SERVERSUB as Z
	Inner Join WEDGE_CS_DLCP as A on ( CHAR( A.SERVERSUB_ID ) = CHAR(Z.ID) and CHAR( A.DLCP_ID ) = ? )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME
ORDER BY 
	Z.PHYSICAL_NAME
