SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME
FROM 
	WEDGE_CS_SERVERSUB as Z
	Inner Join WEDGE_CS_SRULE as A on ( CHAR( A.SERVERSUB_ID ) = CHAR(Z.ID) and CHAR( A.BASECLASS_ID ) = ? )
ORDER BY 
	Z.PHYSICAL_NAME, 
	A.PHYSICAL_NAME
