SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_BAT_DLCP_OUT_RECORD as A
	Inner Join WEDGE_BAT_DATA as B on ( CHAR( B.ID ) = CHAR(A.BATCH_DATA_ID) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(B.ITEM_TYPE) and CHAR( C.SEARCH_STRING ) = 'ITEM_TYPE' )
WHERE 
	CHAR( A.DLCP_ID ) = ?
ORDER BY 
	A.LINE
