SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.CLASS_NAME, 
	N.PHYSICAL_NAME as "type", 
	A.PARAM, 
	M.ID, 
	M.LOGICAL_NAME, 
	M.PHYSICAL_NAME
FROM 
	WEDGE_CS_CRULE as A
	Left Outer Join WEDGE_CS_FRAME AS M ON ( M.PHYSICAL_NAME = A.ADAPTER_PNAME  )
	Left Outer Join WEDGE_BUSINESSRULE AS C ON ( C.ID = A.BASECLASS_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'CRULE_TYPE' ) AS N ON ( N.VALUE = A.TYPE  )
WHERE 
	A.ID = ?
