SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "readonly", 
	D.PHYSICAL_NAME as "insertmenu", 
	E.PHYSICAL_NAME as "copymenu", 
	F.PHYSICAL_NAME as "deletemenu", 
	G.PHYSICAL_NAME as "movemenu", 
	H.PHYSICAL_NAME as "rowreversal", 
	A.ROWHEIGHT, 
	I.PHYSICAL_NAME as "resizemode", 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE
FROM 
	WEDGE_CS_TABLE_H as A
	Left Outer Join WEDGE_CS_COMPONENT AS B ON ( B.ID = A.COMPONENT_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ONOFF' ) AS C ON ( C.VALUE = A.READONLY  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ONOFF' ) AS D ON ( D.VALUE = A.INSERTMENU  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ONOFF' ) AS E ON ( E.VALUE = A.COPYMENU  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ONOFF' ) AS F ON ( F.VALUE = A.DELETEMENU  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ONOFF' ) AS G ON ( G.VALUE = A.MOVEMENU  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ONOFF' ) AS H ON ( H.VALUE = A.ROWREVERSAL  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'COLUMN_RESIZEMODE' ) AS I ON ( I.VALUE = A.RESIZEMODE  )
WHERE 
	A.ID = ?
