SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.FRAME_TYPE, 
	count(A.ID) as "count"
FROM 
	WEDGE_CS_FRAME as Z
	Inner Join WEDGE_CS_ITEM AS A ON ( A.FRAME_ID = Z.ID  AND A.DATA_D_ID = ?  )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.FRAME_TYPE
ORDER BY 
	Z.PHYSICAL_NAME
