SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.COMPILED, 
	Z.CREATE_USER, 
	Z.CREATE_DATE, 
	Z.UPDATE_USER, 
	Z.UPDATE_DATE, 
	Z.REVISION, 
	A.LOGICAL_NAME || '(' || A.PHYSICAL_NAME || ')' as "batch_tran_type"
FROM 
	WEDGE_BAT_SUB as Z
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'BATCH_PATTERN_TYPE' ) AS A ON ( A.VALUE = Z.BATCH_TRAN_TYPE  )
ORDER BY 
	Z.PHYSICAL_NAME
