SELECT 
	Z.BATCH_SUB_ID, 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.PARAM, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	Z.CONNECTION_DB as "connect_db"
FROM 
	WEDGE_BAT_DLCP as Z
	Left Outer Join WEDGE_DAT_DLCP_H AS A ON ( A.ID = Z.DLCP_ID  )
	Left Outer Join WEDGE_BAT_RULE AS B ON ( B.ID = Z.SRULE_ID  )
	Left Outer Join WEDGE_BAT_DLCP AS C ON ( C.ID = Z.OUTPUT_DLCP_ID  )
WHERE 
	Z.ID = ?
ORDER BY 
	Z.LINE
