SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	D.CALL_SERVERSUB_PNAME, 
	D.CALL_STRAN_PNAME, 
	D.REVISION, 
	E.PHYSICAL_NAME as "user_error", 
	A.ENABLE
FROM 
	WEDGE_BAT_DECISION_DLCP as A
	Left Outer Join WEDGE_BAT_DLCP AS B ON ( B.ID = A.DC_ID  )
	Left Outer Join WEDGE_BAT_RULE AS C ON ( C.ID = A.SRULE_ID  )
	Left Outer Join WEDGE_BAT_CALL_STRAN AS D ON ( D.ID = A.CALL_STRAN_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'USER_ERROR' ) AS E ON ( E.VALUE = A.USER_ERROR  )
WHERE 
	A.DECISION_TYPE_ID = ?
ORDER BY 
	A.LINE
