SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	B.PHYSICAL_NAME as "item_type", 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME
FROM 
	WEDGE_CS_ITEM "Z", 
	WEDGE_NAME "B", 
	WEDGE_DAT_DATA_D "C"
WHERE 
	Z.COMPONENT_ID = ? AND 
	B.VALUE (+)= Z.ITEM_TYPE AND 
	B.SEARCH_STRING (+)= 'ITEM_TYPE' AND 
	C.ID (+)= Z.DATA_D_ID
ORDER BY 
	Z.PHYSICAL_NAME
