SELECT 
	B.PHYSICAL_NAME as "execute_timing", 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	F.PHYSICAL_NAME as "user_error", 
	Z.BEFORE_DIALOG, 
	Z.AFTER_DIALOG, 
	Z.ERROR_DIALOG, 
	Z.PARAM
FROM 
	WEDGE_CS_EXECUTE_TIMING "Z", 
	WEDGE_NAME "B", 
	WEDGE_CS_ITEM "C", 
	WEDGE_CS_ITEM "D", 
	WEDGE_CS_TABLE_H "E", 
	WEDGE_NAME "F"
WHERE 
	Z.CTRAN_ID = ? AND 
	B.VALUE (+)= Z.EXECUTE_TIMING AND 
	B.SEARCH_STRING (+)= 'EXECUTE_TIMING' AND 
	C.ID (+)= Z.NEXT_ITEM_ID AND 
	D.ID (+)= Z.ITEM_ID AND 
	E.ID (+)= Z.TABLE_H_ID AND 
	F.VALUE (+)= Z.USER_ERROR AND 
	F.SEARCH_STRING (+)= 'CLIENT_USER_ERROR'
ORDER BY 
	Z.LINE
