SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO
FROM 
	WEDGE_CS_CRULE "Z", 
	WEDGE_CS_FRAME "A", 
	WEDGE_CS_FRAME "B"
WHERE 
	Z.TYPE = '2' AND 
	A.PHYSICAL_NAME = Z.ADAPTER_PNAME AND 
	A.ID = ? AND 
	B.ID = Z.FRAME_ID
ORDER BY 
	B.PHYSICAL_NAME
