SELECT 
	A.SERVERSUB_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_CS_SERVERDATA "A", 
	WEDGE_DAT_DATA_D "B", 
	WEDGE_NAME "C"
WHERE 
	A.ID = ? AND 
	B.ID (+)= A.DATA_D_ID AND 
	C.VALUE (+)= A.ITEM_TYPE AND 
	C.SEARCH_STRING (+)= 'ITEM_TYPE'
