SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "comment"
FROM 
	WEDGE_CS_DLCP "C", 
	WEDGE_CS_DLCP_IN_RECORD "A"
WHERE 
	A.DLCP_ID = C.ID AND 
	A.SERVERDATA_ID = ?
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO
ORDER BY 
	C.PHYSICAL_NAME
