SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.LENGTH, 
	C.LOGICAL_NAME as "omit", 
	Z.SCALE, 
	Z.DEFAULT_VALUE, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	Z.ENUM, 
	Z.FIX, 
	Z.MINIMUM, 
	Z.MAXIMUM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	D.CLASS_NAME, 
	Z.FORMAT_PARAM, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	E.CLASS_NAME, 
	B.FORMAT_PARAM, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME, 
	F.MEMO, 
	F.CLASS_NAME, 
	B.DB_TRANSFER_PARAM, 
	G.ID, 
	G.LOGICAL_NAME, 
	G.PHYSICAL_NAME, 
	G.MEMO, 
	G.CLASS_NAME, 
	Z.CREATE_USER, 
	Z.CREATE_DATE, 
	Z.UPDATE_USER, 
	Z.UPDATE_DATE
FROM 
	WEDGE_DAT_DATA_H "Z", 
	WEDGE_DATA_CLASS "B", 
	WEDGE_NAME "C", 
	WEDGE_BASE "D", 
	WEDGE_BASE "E", 
	WEDGE_BASE "F", 
	WEDGE_BASE "G"
WHERE 
	Z.ID = ? AND 
	B.ID = Z.TYPE AND 
	C.VALUE (+)= Z.OMIT AND 
	C.SEARCH_STRING (+)= 'OMIT' AND 
	D.ID (+)= Z.FORMAT_CLASS AND 
	E.ID (+)= B.FORMAT_CLASS AND 
	F.ID (+)= B.DB_TRANSFER_CLASS AND 
	G.ID (+)= B.CHECK_CLASS
ORDER BY 
	Z.PHYSICAL_NAME
