SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	count(B.ID) as "count"
FROM 
	WEDGE_BAT_SUB "Z", 
	WEDGE_BAT_DLCP "A", 
	WEDGE_DAT_DLCP_H "B"
WHERE 
	A.BATCH_SUB_ID = Z.ID AND 
	B.ID = A.DLCP_ID AND 
	B.TABLE_H_ID = ?
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
ORDER BY 
	Z.PHYSICAL_NAME
