SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.FRAME_TYPE, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME
FROM 
	WEDGE_CS_FRAME "Z", 
	WEDGE_CS_CRULE "A"
WHERE 
	A.FRAME_ID = Z.ID AND 
	A.BASECLASS_ID = ?
ORDER BY 
	Z.PHYSICAL_NAME, 
	A.PHYSICAL_NAME
