SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	count(B.ID) as "count"
FROM 
	WEDGE_CS_SERVERSUB as Z
	Inner Join WEDGE_CS_DLCP AS A ON ( A.SERVERSUB_ID = Z.ID  )
	Inner Join WEDGE_DAT_DLCP_H AS B ON ( B.ID = A.DLCP_ID  AND B.TABLE_H_ID = ?  )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
ORDER BY 
	Z.PHYSICAL_NAME
