SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_BAT_DLCP_OUT_RECORD as A
	Inner Join WEDGE_BAT_DATA AS B ON ( B.ID = A.BATCH_DATA_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ITEM_TYPE' ) AS C ON ( C.VALUE = B.ITEM_TYPE  )
WHERE 
	A.DLCP_ID = ?
ORDER BY 
	A.LINE
