SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "comment"
FROM 
	WEDGE_CS_CALL_STRAN as C
	Inner Join WEDGE_CS_CALL_STRAN_OUT_RECORD as A on ( CHAR( A.CALL_STRAN_ID ) = CHAR(C.ID) and CHAR( A.SERVERDATA_ID ) = ? )
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO
ORDER BY 
	C.PHYSICAL_NAME
