SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "comment", 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
FROM 
	WEDGE_CS_SRULE as C
	Inner Join WEDGE_CS_SRULE_OUT_RECORD as A on ( CHAR( A.SERVERBUSINESSRULE_ID ) = CHAR(C.ID) and CHAR( A.SERVERDATA_ID ) = ? )
	Left Outer Join WEDGE_BUSINESSRULE as D on ( CHAR( D.ID ) = CHAR(C.BASECLASS_ID) )
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
ORDER BY 
	C.PHYSICAL_NAME
