SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_CS_SRULE_OUT_RECORD as A
	Inner Join WEDGE_CS_SERVERDATA as B on ( CHAR( B.ID ) = CHAR(A.SERVERDATA_ID) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(B.ITEM_TYPE) and CHAR( C.SEARCH_STRING ) = 'ITEM_TYPE' )
WHERE 
	CHAR( A.SERVERBUSINESSRULE_ID ) = ?
ORDER BY 
	A.LINE
