SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	F.PHYSICAL_NAME as "user_error", 
	Z.ENABLE, 
	Z.MEMO
FROM 
	WEDGE_CS_EXECUTION_D as Z
	Left Outer Join WEDGE_CS_CRULE as A on ( CHAR( A.ID ) = CHAR(Z.CRULE_ID) )
	Left Outer Join WEDGE_CS_CTRAN as B on ( CHAR( B.ID ) = CHAR(Z.CTRAN_ID) )
	Left Outer Join WEDGE_CS_HTML_H as D on ( CHAR( D.ID ) = CHAR(Z.HTML_ID) )
	Left Outer Join WEDGE_CS_HTML_H as E on ( CHAR( E.ID ) = CHAR(Z.ERROR_HTML_ID) )
	Left Outer Join WEDGE_NAME as F on ( CHAR( F.VALUE ) = CHAR(Z.USER_ERROR) and CHAR( F.SEARCH_STRING ) = 'GATEWAY_USER_ERROR' )
WHERE 
	CHAR( Z.HID ) = ?
ORDER BY 
	Z.LINE
