SELECT 
	A.BATCH_SUB_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_BAT_DATA as A
	Inner Join WEDGE_DAT_DATA_D as B on ( CHAR( B.ID ) = CHAR(A.DATA_D_ID) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(A.ITEM_TYPE) and CHAR( C.SEARCH_STRING ) = 'ITEM_TYPE' )
WHERE 
	CHAR( A.ID ) = ?
