SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	B.PHYSICAL_NAME as "item_type", 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME
FROM 
	WEDGE_CS_ITEM as Z
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ITEM_TYPE' ) AS B ON ( B.VALUE = Z.ITEM_TYPE  )
	Left Outer Join WEDGE_DAT_DATA_D AS C ON ( C.ID = Z.DATA_D_ID  )
WHERE 
	Z.COMPONENT_ID = ?
ORDER BY 
	Z.PHYSICAL_NAME
