SELECT 
	B.PHYSICAL_NAME as "execute_timing", 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	F.PHYSICAL_NAME as "user_error", 
	Z.BEFORE_DIALOG, 
	Z.AFTER_DIALOG, 
	Z.ERROR_DIALOG, 
	Z.PARAM
FROM 
	WEDGE_CS_EXECUTE_TIMING as Z
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'EXECUTE_TIMING' ) AS B ON ( B.VALUE = Z.EXECUTE_TIMING  )
	Left Outer Join WEDGE_CS_ITEM AS C ON ( C.ID = Z.NEXT_ITEM_ID  )
	Left Outer Join WEDGE_CS_ITEM AS D ON ( D.ID = Z.ITEM_ID  )
	Left Outer Join WEDGE_CS_TABLE_H AS E ON ( E.ID = Z.TABLE_H_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'CLIENT_USER_ERROR' ) AS F ON ( F.VALUE = Z.USER_ERROR  )
WHERE 
	Z.CTRAN_ID = ?
ORDER BY 
	Z.LINE
