SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_CS_SERVERDATA as A
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ITEM_TYPE' ) AS C ON ( C.VALUE = A.ITEM_TYPE  )
WHERE 
	A.SERVERSUB_ID = ?
ORDER BY 
	A.LINE
