SELECT 
	Z.ID, 
	A.PHYSICAL_NAME as "user_agent", 
	B.PHYSICAL_NAME as "mime_type", 
	C.PHYSICAL_NAME as "charset", 
	Z.MEMO
FROM 
	WEDGE_CS_HTML_D as Z
	Left Outer Join WEDGE_HTML_USER_AGENT AS A ON ( A.ID = Z.USER_AGENT  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'MIME_TYPE' ) AS B ON ( B.VALUE = Z.MIME_TYPE  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'CHARSET' ) AS C ON ( C.VALUE = Z.CHARSET  )
WHERE 
	Z.HID = ?
ORDER BY 
	Z.LINE
