SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_CS_FRAME_IN_RECORD "A", 
	WEDGE_CS_ITEM "B", 
	WEDGE_NAME "C"
WHERE 
	A.FRAME_ID = ? AND 
	B.ID = A.ITEM_ID AND 
	C.VALUE (+)= B.ITEM_TYPE AND 
	C.SEARCH_STRING (+)= 'ITEM_TYPE'
ORDER BY 
	A.LINE
