SELECT 
	A.FRAME_ID, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	A.X_POS, 
	A.Y_POS, 
	A.WIDTH, 
	A.HEIGHT, 
	C.ID as "parent_id", 
	C.LOGICAL_NAME as "parent_lname", 
	C.PHYSICAL_NAME as "parent_pname", 
	C.MEMO as "parent_memo"
FROM 
	WEDGE_CS_LAYOUT "A", 
	WEDGE_CS_COMPONENT "B", 
	WEDGE_CS_COMPONENT "C"
WHERE 
	A.ID = ? AND 
	B.ID = A.COMPONENT_ID AND 
	C.ID (+)= A.PARENT_COMPONENT
