SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "comment"
FROM 
	WEDGE_CS_CALL_STRAN "C", 
	WEDGE_CS_CALL_STRAN_IN_RECORD "A"
WHERE 
	A.CALL_STRAN_ID = C.ID AND 
	A.SERVERDATA_ID = ?
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO
ORDER BY 
	C.PHYSICAL_NAME
