SELECT 
	Z.SERVERSUB_ID, 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	Z.CONNECTION_DB as "connect_db"
FROM 
	WEDGE_CS_DLCP "Z", 
	WEDGE_DAT_DLCP_H "A", 
	WEDGE_CS_SRULE "B"
WHERE 
	Z.ID = ? AND 
	A.ID (+)= Z.DLCP_ID AND 
	B.ID (+)= Z.SRULE_ID
