SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.FRAME_TYPE, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME
FROM 
	WEDGE_CS_FRAME "A", 
	WEDGE_CS_CTRAN "B", 
	WEDGE_CS_STRAN "C"
WHERE 
	B.FRAME_ID = A.ID AND 
	C.PHYSICAL_NAME = B.STRAN_PNAME AND 
	C.ID = ?
ORDER BY 
	A.PHYSICAL_NAME, 
	B.PHYSICAL_NAME
