SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "COMMENT", 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
FROM 
	WEDGE_BAT_RULE "C", 
	WEDGE_BAT_RULE_IN_RECORD "A", 
	WEDGE_BUSINESSRULE "D"
WHERE 
	A.BATCH_RULE_ID = C.ID AND 
	A.BATCH_DATA_ID = ? AND 
	D.ID = C.BASECLASS_ID
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
ORDER BY 
	C.PHYSICAL_NAME
