SELECT 
	Z.BATCH_SUB_ID, 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.PARAM, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	Z.CONNECTION_DB as "connect_db"
FROM 
	WEDGE_BAT_DLCP "Z", 
	WEDGE_DAT_DLCP_H "A", 
	WEDGE_BAT_RULE "B", 
	WEDGE_BAT_DLCP "C"
WHERE 
	Z.ID = ? AND 
	A.ID (+)= Z.DLCP_ID AND 
	B.ID (+)= Z.SRULE_ID AND 
	C.ID (+)= Z.OUTPUT_DLCP_ID
ORDER BY 
	Z.LINE
