SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.LENGTH, 
	Z.SCALE, 
	Z.DEFAULT_VALUE, 
	C.LOGICAL_NAME as "OMIT", 
	Z.ENUM, 
	Z.MINIMUM, 
	Z.MAXIMUM, 
	Z.CREATE_USER, 
	Z.CREATE_DATE, 
	Z.UPDATE_USER, 
	Z.UPDATE_DATE
FROM 
	WEDGE_DAT_DATA_H as Z
	Left Outer Join WEDGE_DATA_CLASS AS B ON ( B.ID = Z.TYPE  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'TRUE_OR_FALSE' ) AS C ON ( C.VALUE = Z.OMIT  )
ORDER BY 
	Z.PHYSICAL_NAME
