SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.PHYSICAL_NAME as "decision_execute_type"
FROM 
	WEDGE_BAT_DECISION_TYPE as A
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'DECISION_EXECUTE_TYPE' ) AS B ON ( B.VALUE = A.DECISION_EXECUTE_TYPE  )
WHERE 
	A.DECISION_TABLE_ID = ?
ORDER BY 
	A.LINE
