<?xml version="1.0" encoding="shift_jis"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:output method="xml" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />

<!-- PRODUCT TYPE -->
<xsl:param name="PRODUCT_WEBTRIBE">0</xsl:param>
<xsl:param name="PRODUCT_VISUALFRAME">1</xsl:param>
<xsl:param name="PRODUCT_OPENDEVELOPER">2</xsl:param>
<xsl:param name="PRODUCT_PARALLELFRAME">3</xsl:param>

<!-- OMC -->
<xsl:param name="TARGET_OMC_LOGIC">logic</xsl:param>
	
<!-- DMC -->
<xsl:param name="TARGET_DAT_TABLE">table</xsl:param>
<xsl:param name="TARGET_DAT_DC">dc</xsl:param>
<xsl:param name="TARGET_DAT_DATA">data</xsl:param>
<xsl:param name="TARGET_DAT_RECORD">record</xsl:param>
<xsl:param name="TARGET_CS_SERVER">server</xsl:param>

<!-- CAMC -->
<xsl:param name="TARGET_CS_JAVACLIENT">javaclient</xsl:param>
<xsl:param name="TARGET_CS_COMPONENT">component</xsl:param>
<xsl:param name="TARGET_CS_CRULE">crule</xsl:param>
<xsl:param name="TARGET_CS_CTABLE">ctable</xsl:param>
<xsl:param name="TARGET_CS_CTRAN">ctran</xsl:param>


<xsl:param name="TARGET_CS_ITEM">item</xsl:param>
<xsl:param name="TARGET_CS_LAYOUT">layout</xsl:param>
<xsl:param name="TARGET_CS_GROUP">group</xsl:param>

<!-- SAMC -->
<xsl:param name="TARGET_CS_SSUB">ssub</xsl:param>
<xsl:param name="TARGET_CS_SDC">sdc</xsl:param>
<xsl:param name="TARGET_CS_STRAN">stran</xsl:param>
<xsl:param name="TARGET_CS_SOTRAN">sotran</xsl:param>

<xsl:param name="TARGET_CS_SRULE">srule</xsl:param>
<xsl:param name="TARGET_CS_SDATA">sdata</xsl:param>

<!-- HAMC -->
<xsl:param name="TARGET_CS_HTMLCLIENT">htmlclient</xsl:param>
<xsl:param name="TARGET_CS_EXECUTION">execution</xsl:param>
<xsl:param name="TARGET_HTML">html</xsl:param>
<xsl:param name="TARGET_CS_HRULE">hrule</xsl:param>
<xsl:param name="TARGET_CS_HTRAN">htran</xsl:param>
<xsl:param name="TARGET_CS_HITEM">hitem</xsl:param>
<xsl:param name="TARGET_HTML_SOURCE">html_source</xsl:param>

<!-- SMC -->
<xsl:param name="TARGET_SMC_BSUB">bsub</xsl:param>
<xsl:param name="TARGET_SMC_DC">bdc</xsl:param>
<xsl:param name="TARGET_SMC_TRAN">btran</xsl:param>
<xsl:param name="TARGET_SMC_OTRAN">botran</xsl:param>
<xsl:param name="TARGET_SMC_RULE">brule</xsl:param>
<xsl:param name="TARGET_SMC_DATA">bdata</xsl:param>

<!-- Webtribe Label -->
<xsl:param name="TABLE">e[u</xsl:param>
<xsl:param name="DC">}bp[</xsl:param>
<xsl:param name="DATA">f[^</xsl:param>
<xsl:param name="DATA_CLASS">f[^NX</xsl:param>
<xsl:param name="DATAH">f[^^</xsl:param>
<xsl:param name="DATAD">{f[^</xsl:param>
<xsl:param name="FIX">Œ蒷</xsl:param>
<xsl:param name="FORMAT_CLASS">\ϊNX</xsl:param>
<xsl:param name="DB_TRANSFER_CLASS">DBϊNX</xsl:param>
<xsl:param name="CHECK_CLASS">`FbNNX</xsl:param>
<xsl:param name="OMIT">ȗ</xsl:param>
<xsl:param name="LENGTH"></xsl:param>
<xsl:param name="SCALE">_</xsl:param>
<xsl:param name="TYPE">^</xsl:param>
<xsl:param name="DEFAULT">l</xsl:param>
<xsl:param name="MINIMUM">ŏl</xsl:param>
<xsl:param name="MAXIMUM">ől</xsl:param>
	
<xsl:param name="SAMC">T[o</xsl:param>
<xsl:param name="CAMC">NCAg(JAVA)</xsl:param>
<xsl:param name="HAMC">NCAg(HTML)</xsl:param>
<xsl:param name="SMC">ob`</xsl:param>
<xsl:param name="HTML">HTML</xsl:param>
<xsl:param name="FRAME">NCAg</xsl:param>
<xsl:param name="CLIENT_TYPE">NCAg</xsl:param>
<xsl:param name="FRAME_TYPE">t[̎</xsl:param>

<xsl:param name="LIST">ꗗ</xsl:param>
<xsl:param name="DETAIL">ڍ׏</xsl:param>
<xsl:param name="RELATION">֘A</xsl:param>
<xsl:param name="IN_OUT">o͏</xsl:param>
<xsl:param name="RELATION_INFO">֘A</xsl:param>
<xsl:param name="CONTROL"></xsl:param>
<xsl:param name="EXECUTE_EVENT">sCxg</xsl:param>
<xsl:param name="EXECUTE_OBJECT">sIuWFNg</xsl:param>
<xsl:param name="USE_PLACE">gpꏊ</xsl:param>
<xsl:param name="USE_COUNT">gp</xsl:param>
<xsl:param name="UN_SETTLED"></xsl:param>
<xsl:param name="SETTLED"></xsl:param>
<xsl:param name="CREATE_USER">쐬</xsl:param>
<xsl:param name="CREATE_DATE">쐬</xsl:param>
<xsl:param name="UPDATE_USER">XV</xsl:param>
<xsl:param name="UPDATE_DATE">XV</xsl:param>

<!-- Webtribe Entity -->
<xsl:param name="WEBTRIBE">Webtribe</xsl:param>
<xsl:param name="VISUALFRAME">VisualFrame</xsl:param>
<xsl:param name="OPENDEVELOPER">OpenDeveloper</xsl:param>
<xsl:param name="PARALLELFRAME">ParallelFrame</xsl:param>

<xsl:param name="LOGICAL_NAME">_</xsl:param>
<xsl:param name="PHYSICAL_NAME"></xsl:param>
<xsl:param name="COMMENT">Rg</xsl:param>
<xsl:param name="IN_REC">͈</xsl:param>
<xsl:param name="OUT_REC">o͈</xsl:param>
<xsl:param name="PARAMETER">p[^</xsl:param>
<xsl:param name="BASE_CLASS">{NX</xsl:param>
<xsl:param name="ITEM_TYPE">ACe^Cv</xsl:param>
<xsl:param name="ITEM">ACe</xsl:param>
<xsl:param name="TIMING">Cxg</xsl:param>
<xsl:param name="TRANSACTION">gUNV</xsl:param>
<xsl:param name="BUSINESSRULE">WbNNX</xsl:param>
<xsl:param name="SERVER_TRANSACTION">SERVER TRANSACTION</xsl:param>
<xsl:param name="COMPONENT">R|[lg</xsl:param>
<xsl:param name="LAYOUT">CAEg</xsl:param>
<xsl:param name="GROUP">O[v</xsl:param>
<xsl:param name="EXECUTION">sXg</xsl:param>
<xsl:param name="REVISION">rW</xsl:param>
<xsl:param name="CONPILED">RpC</xsl:param>
<xsl:param name="OUT_TRAN">TugUNV</xsl:param>
<xsl:param name="TEXT">\</xsl:param>
<xsl:param name="TITLE">^Cg</xsl:param>
<xsl:param name="TOOLTIP_TEXT">c[`bv</xsl:param>
<xsl:param name="LOAD">N</xsl:param>
<xsl:param name="UNLOAD">I</xsl:param>
<xsl:param name="OBJECT">ΏۃIuWFNg</xsl:param>
<xsl:param name="USER_ERROR">[U[G[</xsl:param>
<xsl:param name="DESKTOP">fXNgbv</xsl:param>
<xsl:param name="COM_CHECK">W`FbN</xsl:param>
<xsl:param name="ITEM_CHECK">ڃ`FbN</xsl:param>
<xsl:param name="MENU">j[</xsl:param>
<xsl:param name="TOOLBAR">c[o[</xsl:param>
<xsl:param name="LAYOUT_X">XW</xsl:param>
<xsl:param name="LAYOUT_Y">YW</xsl:param>
<xsl:param name="LAYOUT_W"></xsl:param>
<xsl:param name="LAYOUT_H"></xsl:param>
<xsl:param name="PARENT_COMPONENT">eR|[lg</xsl:param>
<xsl:param name="BEFORE_DIALOG">O_CAO</xsl:param>
<xsl:param name="AFTER_DIALOG">_CAO</xsl:param>
<xsl:param name="ERROR_DIALOG">G[_CAO</xsl:param>
<xsl:param name="NEXT_ITEM">̃ACe</xsl:param>
<xsl:param name="BEFORE">Before</xsl:param>
<xsl:param name="AFTER">After</xsl:param>
<xsl:param name="ONLOAD">Load</xsl:param>
<xsl:param name="ONOPEN">Open</xsl:param>
<xsl:param name="ONCLOSE">Close</xsl:param>
<xsl:param name="ONDISPOSE">Dispose</xsl:param>
<xsl:param name="CLICK">NbN</xsl:param>
<xsl:param name="WCLICK">_uNbN</xsl:param>
<xsl:param name="ERROR_HTML">G[HTML</xsl:param>
<xsl:param name="CONNECTION_DB">ڑDB</xsl:param>
<xsl:param name="READ_ONLY">\p</xsl:param>
<xsl:param name="MENU_INSERT">}j[</xsl:param>
<xsl:param name="MENU_COPY">ʃj[</xsl:param>
<xsl:param name="MENU_DELETE">폜j[</xsl:param>
<xsl:param name="MENU_MOVE">ړj[</xsl:param>
<xsl:param name="ROW_RESIZE">񃊃TCY</xsl:param>
<xsl:param name="DISPLAY">\\</xsl:param>
<xsl:param name="EDITABLE">ҏW\</xsl:param>
<xsl:param name="CELL_RENDERER">Z_</xsl:param>
<xsl:param name="CELL_EDITOR">ZGfB^</xsl:param>
<xsl:param name="DEFINITION">`</xsl:param>
<xsl:param name="FREE">t[</xsl:param>
<xsl:param name="STATUS_BAR_POSITION">Xe[^Xo[ʒu</xsl:param>
<xsl:param name="FORE_COLOR">OiF</xsl:param>
<xsl:param name="BACK_COLOR">wiF</xsl:param>
<xsl:param name="IMAGE">C[W</xsl:param>
<xsl:param name="SAVE_CONTENTS">ʏێ</xsl:param>
<xsl:param name="FRAME_TRANSFER">ʑJ</xsl:param>
<xsl:param name="DESKTOP_MENU">Nj[</xsl:param>
<xsl:param name="PROPERTY"></xsl:param>
<xsl:param name="VALUE">l</xsl:param>
<xsl:param name="STRUCTURE">\</xsl:param>
<xsl:param name="FRAME_GETDATA">ʈp(GET)</xsl:param>
<xsl:param name="FRAME_SENDDATA">ʈp(SEND)</xsl:param>
<xsl:param name="ONGUI">GUI</xsl:param>
<xsl:param name="UNNONE">s</xsl:param>
<xsl:param name="DATA_FLOW">f[^t[</xsl:param>
<xsl:param name="PARENT_FRAME">N</xsl:param>
<xsl:param name="SHOW_FRAME">N</xsl:param>
<xsl:param name="CATEGORY">JeS[</xsl:param>
<xsl:param name="OUT_DC">o$DC</xsl:param>
<xsl:param name="USER_AGENT">[UG[WFg</xsl:param>
<xsl:param name="MIME-TYPE">MIME-Type</xsl:param>
<xsl:param name="CHARSET">LN^Zbg</xsl:param>

<!-- Image Files -->
<xsl:param name="IMG_RULE">rule.gif</xsl:param>
<xsl:param name="IMG_TABLE">table.gif</xsl:param>
<xsl:param name="IMG_TRAN">tran.gif</xsl:param>
<xsl:param name="IMG_SUBTRAN">otran.gif</xsl:param>
<xsl:param name="IMG_DATA">data.gif</xsl:param>
<xsl:param name="IMG_DC">dc.gif</xsl:param>
<xsl:param name="IMG_FRAME">frame.gif</xsl:param>
<xsl:param name="IMG_EXECUTION">execution.gif</xsl:param>
<xsl:param name="IMG_HTML">html.gif</xsl:param>
<xsl:param name="IMG_ITEM">item.gif</xsl:param>
<xsl:param name="IMG_LAYOUT">layout.jpg</xsl:param>
<xsl:param name="IMG_GROUP">group.gif</xsl:param>
<xsl:param name="IMG_COMPONENT">component.gif</xsl:param>
<xsl:param name="IMG_SSUB">serversub.gif</xsl:param>
<xsl:param name="IMG_SMC">serversub.gif</xsl:param>
<xsl:param name="IMG_DTABLE">dtable.gif</xsl:param>

<xsl:param name="HEADER_ID"><xsl:value-of select="//dynamic_document/data/header/id" /></xsl:param>
<xsl:param name="IMAGE_PATH"><xsl:value-of select="//dynamic_document/env/image_path" /></xsl:param>
<xsl:param name="CONTENT_TYPE"><xsl:value-of select="//dynamic_document/env/content_type" /></xsl:param>
<xsl:param name="PRODUCT_TYPE"><xsl:value-of select="//dynamic_document/@prodtype" /></xsl:param>
<xsl:param name="CONSOLE_TYPE"><xsl:value-of select="//dynamic_document/env/type" /></xsl:param>
<xsl:param name="HREF"><xsl:value-of select="//dynamic_document/env/href" /></xsl:param>
<xsl:param name="FRAME_ID"><xsl:value-of select="//dynamic_document/env/frame_id" /></xsl:param>
<xsl:param name="DATA_TYPE"><xsl:value-of select="//dynamic_document/env/data_type" /></xsl:param>
<xsl:param name="LINK_TYPE"><xsl:value-of select="//dynamic_document/env/link_type" /></xsl:param>

</xsl:stylesheet>
